> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change status



## OpenAPI

````yaml /api-reference/openapi.json post /hours/status-change
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /hours/status-change:
    post:
      tags:
        - Hours
      summary: Change status
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - status
                - counters
              properties:
                status:
                  type: string
                  enum:
                    - pending
                    - approved
                    - discarded
                    - under_review
                    - invoiced
                    - paid
                  description: Hour status
                counters:
                  type: array
                  items:
                    type: integer
                  description: Array of counter IDs
      responses:
        '200':
          description: Status changed successfully
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````